SeExpr

Public Types | Public Member Functions | Public Attributes | List of all members
SeExpr2::GetVar::Data Struct Reference
Inheritance diagram for SeExpr2::GetVar::Data:

## Public Types
typedef void(* | func) (double *in, double *out)

## Public Member Functions
| Data (func fIn, int dim)
Public Member Functions inherited from SeExpr2::ExprFuncNode::Data
| Data (bool cleanup=false)
virtual | ~Data ()

## Public Attributes
func | f
int | dim
Public Attributes inherited from SeExpr2::ExprFuncNode::Data
bool | _cleanup

## Detailed Description

Definition at line 1404 of file ExprBuiltins.cpp.

## Member Typedef Documentation

## ◆ func

typedef void(* SeExpr2::GetVar::Data::func) (double *in, double *out)

Definition at line 1405 of file ExprBuiltins.cpp.

## Constructor & Destructor Documentation

## ◆ Data()

SeExpr2::GetVar::Data::Data | ( | func | fIn,
|  | int | dim
| ) |  |
| inline

Definition at line 1406 of file ExprBuiltins.cpp.

## Member Data Documentation

## ◆ dim

int SeExpr2::GetVar::Data::dim

Definition at line 1408 of file ExprBuiltins.cpp.

## ◆ f

func SeExpr2::GetVar::Data::f

Definition at line 1407 of file ExprBuiltins.cpp.

Referenced by SeExpr2::GetVar::eval().

The documentation for this struct was generated from the following file:

- /build/seexpr/src/SeExpr/src/SeExpr2/ExprBuiltins.cpp